curl --request POST \
--url https://api-sandbox.synctera.com/v0/cards/transaction_simulations/clearing/l2l3 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"original_transaction_id": "<string>",
"enhanced_data_id": "ED123456",
"financial": {
"tax_id": "TAX123",
"total_tax_amount": 200,
"total_tax_amount_indicator": "Indicator"
},
"fleet_emv": {
"employee_number": "EMP001",
"expanded_fuel_type": "TypeC",
"fuel_gross_amount": 165,
"fuel_net_amount": 150,
"fuel_quantity": 40,
"fuel_unit_of_measure": "Gallons",
"fuel_unit_price": 1.1,
"non_fuel_gross_amount": 275,
"non_fuel_item_details": [
{
"description": "Item description",
"product_code": "PC001",
"quantity": 10,
"unit_of_measure": "Units",
"unit_price": 15
}
],
"non_fuel_net_amount": 250,
"odometer_reading": "654321",
"service_type": "Repair",
"trailer_number": "TR002",
"type_of_purchase": "Non-Fuel",
"vat_tax_rate": 0.15
},
"fleets": {
"driver_id": "DR789",
"expanded_fuel_type": "TypeB",
"fleet_number": "FL123",
"fuel_gross_amount": 220,
"fuel_net_amount": 200,
"fuel_product_qualifier": "QualifierA",
"fuel_purchase_type": "TypeA",
"fuel_quantity": 50,
"fuel_service_type": "ServiceA",
"fuel_tax_amount": 20,
"fuel_tax_exemption_status": "Exempt",
"fuel_type": "Diesel",
"fuel_unit_of_measure": "Liters",
"fuel_unit_price": 1.5,
"job_number": "JN456",
"non_fuel_gross_amount": 330,
"non_fuel_item_details": [
{
"description": "Item description",
"product_code": "PC001",
"quantity": 10,
"unit_of_measure": "Units",
"unit_price": 15
}
],
"non_fuel_net_amount": 300,
"non_fuel_tax_amount": 30,
"non_fuel_tax_exemption_status": "Non-Exempt",
"odometer_reading": "123456",
"sales_tax_amount": 100,
"service_type": "Maintenance",
"type_of_purchase": "Fuel",
"vat_tax_rate": 0.15,
"vehicle_id": "VH012"
},
"inventory_details": [
{
"commodity_code": "COM123",
"description": "Item description",
"discount_amount": "5.00",
"item_detail_taxes": [
{
"detail_tax_amount": 1,
"detail_tax_amount_inclusion_indicator": "Included",
"detail_tax_amount_indicator": "D",
"detail_tax_rate": 1,
"detail_tax_type_applied": "VAT",
"detail_tax_type_identifier": "VAT123"
}
],
"item_discount_amount": 500,
"item_discount_amount_indicator": "D",
"item_discount_applied_indicator": "true",
"item_discount_rate": 10,
"item_extended_amount": 1000,
"item_extended_amount_indicator": "E",
"item_total_amount": 1500,
"item_total_amount_indicator": "T",
"item_vat_amount": 200,
"item_vat_rate": 20,
"product_code": "PROD123",
"quantity": 10,
"total_amount": "1500.00",
"unit_of_measure": "Piece",
"unit_price": 100,
"vat_tax_amount": "200.00",
"vat_tax_rate": "0.20"
}
],
"purchase_order": "PO987654"
}
'{}🚧 Alpha This is a Alpha endpoint. Feedback from the community is welcome. We may make breaking changes to this endpoint.
Simulate a l2l3 type transaction by including the original_transaction_id and enhanced data in your request.
L2L3 events enhance the data of a transaction with the l2l3 details from your request.
curl --request POST \
--url https://api-sandbox.synctera.com/v0/cards/transaction_simulations/clearing/l2l3 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"original_transaction_id": "<string>",
"enhanced_data_id": "ED123456",
"financial": {
"tax_id": "TAX123",
"total_tax_amount": 200,
"total_tax_amount_indicator": "Indicator"
},
"fleet_emv": {
"employee_number": "EMP001",
"expanded_fuel_type": "TypeC",
"fuel_gross_amount": 165,
"fuel_net_amount": 150,
"fuel_quantity": 40,
"fuel_unit_of_measure": "Gallons",
"fuel_unit_price": 1.1,
"non_fuel_gross_amount": 275,
"non_fuel_item_details": [
{
"description": "Item description",
"product_code": "PC001",
"quantity": 10,
"unit_of_measure": "Units",
"unit_price": 15
}
],
"non_fuel_net_amount": 250,
"odometer_reading": "654321",
"service_type": "Repair",
"trailer_number": "TR002",
"type_of_purchase": "Non-Fuel",
"vat_tax_rate": 0.15
},
"fleets": {
"driver_id": "DR789",
"expanded_fuel_type": "TypeB",
"fleet_number": "FL123",
"fuel_gross_amount": 220,
"fuel_net_amount": 200,
"fuel_product_qualifier": "QualifierA",
"fuel_purchase_type": "TypeA",
"fuel_quantity": 50,
"fuel_service_type": "ServiceA",
"fuel_tax_amount": 20,
"fuel_tax_exemption_status": "Exempt",
"fuel_type": "Diesel",
"fuel_unit_of_measure": "Liters",
"fuel_unit_price": 1.5,
"job_number": "JN456",
"non_fuel_gross_amount": 330,
"non_fuel_item_details": [
{
"description": "Item description",
"product_code": "PC001",
"quantity": 10,
"unit_of_measure": "Units",
"unit_price": 15
}
],
"non_fuel_net_amount": 300,
"non_fuel_tax_amount": 30,
"non_fuel_tax_exemption_status": "Non-Exempt",
"odometer_reading": "123456",
"sales_tax_amount": 100,
"service_type": "Maintenance",
"type_of_purchase": "Fuel",
"vat_tax_rate": 0.15,
"vehicle_id": "VH012"
},
"inventory_details": [
{
"commodity_code": "COM123",
"description": "Item description",
"discount_amount": "5.00",
"item_detail_taxes": [
{
"detail_tax_amount": 1,
"detail_tax_amount_inclusion_indicator": "Included",
"detail_tax_amount_indicator": "D",
"detail_tax_rate": 1,
"detail_tax_type_applied": "VAT",
"detail_tax_type_identifier": "VAT123"
}
],
"item_discount_amount": 500,
"item_discount_amount_indicator": "D",
"item_discount_applied_indicator": "true",
"item_discount_rate": 10,
"item_extended_amount": 1000,
"item_extended_amount_indicator": "E",
"item_total_amount": 1500,
"item_total_amount_indicator": "T",
"item_vat_amount": 200,
"item_vat_rate": 20,
"product_code": "PROD123",
"quantity": 10,
"total_amount": "1500.00",
"unit_of_measure": "Piece",
"unit_price": 100,
"vat_tax_amount": "200.00",
"vat_tax_rate": "0.20"
}
],
"purchase_order": "PO987654"
}
'{}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
L2l3 details
Value of the transaction.token returned in the simulated clearing response.
"ED123456"
Show child attributes
"EMP001"
"TypeC"
165
150
40
"Gallons"
1.1
275
Show child attributes
"Item description"
"PC001"
10
"Units"
15
250
"654321"
"Repair"
"TR002"
"Non-Fuel"
0.15
Show child attributes
"DR789"
"TypeB"
"FL123"
220
200
"QualifierA"
"TypeA"
50
"ServiceA"
20
"Exempt"
"Diesel"
"Liters"
1.5
"JN456"
330
Show child attributes
"Item description"
"PC001"
10
"Units"
15
300
30
"Non-Exempt"
"123456"
100
"Maintenance"
"Fuel"
0.15
"VH012"
Show child attributes
"COM123"
"Item description"
"5.00"
Show child attributes
1
"Included"
"D"
1
"VAT"
"VAT123"
500
"D"
"true"
10
1000
"E"
1500
"T"
200
20
"PROD123"
10
"1500.00"
"Piece"
100
"200.00"
"0.20"
"PO987654"
Success
The response is of type object.
Was this page helpful?